Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSSessionPoolMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, JMSConstants, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced with message-dirven beans. This functionality will be removed in a future release.

public interface JMSSessionPoolMBean
extends ConfigurationMBean, JMSConstants

This class represents a JMS session pool, a server-managed pool of server sessions that enables an application to process messages concurrently.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from interface weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, ALWAYSFORWARD, AT_LEAST_ONCE, AT_MOST_ONCE, AUTH_PRINS, CONSUMPTION_ENABLED, CONSUMPTION_PAUSED, CONSUMPTION_PAUSING, DEFAULT_MESSAGE_BUFFER_SIZE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISABLED, DISCARD, ENABLED, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, EXACTLY_ONCE, EXPORT_TO_ALL, EXPORT_TO_NONE, FIFO, INITIALCONTEXTFACTORY, INSERTION_ENABLED, INSERTION_PAUSED, INSERTION_PAUSING, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NEVER, NO_DELIVERY, NON_PERSISTENT, NON_XML, PAUSED_AT_STARTUP_DEFAULT, PAUSED_AT_STARTUP_FALSE, PAUSED_AT_STARTUP_TRUE, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, PRODUCTION_ENABLED, PRODUCTION_PAUSED, PRODUCTION_PAUSING, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SUPPORTS, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TOPIC_SUBSCRIBER_ONLY, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA, UNITOFORDER_STANDARD, UNITOFORDER_SYSTEM, XML, XMLALL`

Method Summary
`boolean` | `addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Deprecated. 9.0.0.0 Replaced with message-driven beans.
`JMSConnectionConsumerMBean` | `createJMSConnectionConsumer(String name)` Deprecated. The connection consumers for this JMS session pool.
`void` | `destroyJMSConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Deprecated. Remove a connection consumer from the session pool.
`String` | `getAcknowledgeMode()` Deprecated. The acknowledge mode used by non-transacted sessions within this JMS session pool.
`JMSConnectionConsumerMBean[]` | `getConnectionConsumers()` Deprecated. 9.0.0.0 Replaced with message-driven beans.
`String` | `getConnectionFactory()` Deprecated. The JNDI name of the connection factory for this JMS session pool.
`JMSConnectionConsumerMBean[]` | `getJMSConnectionConsumers()` Deprecated. The connection consumers for this JMS session pool.
`String` | `getListenerClass()` Deprecated. The name of the server-side listener class for this JMS session pool, which is used to receive and process messages concurrently.
`int` | `getSessionsMaximum()` Deprecated. The maximum number of sessions allowed for this JMS session pool.
`boolean` | `isTransacted()` Deprecated. Indicates whether this JMS session pool creates transacted sessions.
`JMSConnectionConsumerMBean` | `lookupJMSConnectionConsumer(String name)` Deprecated. Get a connection consumer from the session pool by name.
`boolean` | `removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Deprecated. 9.0.0.0 Replaced with message-driven beans.
`void` | `setAcknowledgeMode(String acknowledgeMode)` Deprecated. Sets the value of the AcknowledgeMode attribute.
`void` | `setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)` Deprecated. 9.0.0.0 Replaced with message-driven beans.
`void` | `setConnectionFactory(String connectionFactory)` Deprecated. Sets the value of the ConnectionFactory attribute.
`void` | `setListenerClass(String name)` Deprecated. Sets the value of the ListenerClass attribute.
`void` | `setSessionsMaximum(int maxSessions)` Deprecated. Sets the value of the SessionsMaximum attribute.
`void` | `setTransacted(boolean transacted)` Deprecated. Sets the value of the Transacted attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### addConnectionConsumer

    public boolean addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                  throws InvalidAttributeValueException,
                                         weblogic.management.DistributedManagementException

  Deprecated. 9.0.0.0 Replaced with message-driven beans.

  Add a connection consumer to the session pool. This method is provided for backward compatibility.

  Parameters:
    `connectionConsumer` - the connection consumer to add
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  A dynamic MBean attribute.
    true

### createJMSConnectionConsumer

    public JMSConnectionConsumerMBean createJMSConnectionConsumer(String name)
                                                           throws InvalidAttributeValueException,
                                                                  weblogic.management.DistributedManagementException

  Deprecated.

  The connection consumers for this JMS session pool. JMS connection consumers are queues (Point-To-Point) or topics (Pub/Sub) that retrieve server sessions and process messages. Once you have defined a session pool, you can configure one or more connection consumers for each session pool.

  Create a connection consumer for the session pool.

  Parameters:
    `name` - the name of the connection consumer to create
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### destroyJMSConnectionConsumer

    public void destroyJMSConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)

  Deprecated.

  Remove a connection consumer from the session pool.

  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean

### getAcknowledgeMode

    public String getAcknowledgeMode()

  Deprecated.

  The acknowledge mode used by non-transacted sessions within this JMS session pool.

  For transacted sessions, messages are acknowledged automatically when the session is committed and this value is ignored.

  Returns:
    The acknowledgeMode value

### getConnectionConsumers

    public JMSConnectionConsumerMBean[] getConnectionConsumers()

  Deprecated. 9.0.0.0 Replaced with message-driven beans.

  The connection consumers for this JMS session pool. JMS connection consumers are queues (Point-To-Point) or topics (Pub/Sub) that retrieve server sessions and process messages. Once you have defined a session pool, you can configure one or more connection consumers for each session pool. This method is provided for backward compatibility.

  Returns:
    The connectionConsumers value

### getConnectionFactory

    public String getConnectionFactory()

  Deprecated.

  The JNDI name of the connection factory for this JMS session pool. Connection factories are used to create connections with predefined attributes.

  Returns:
    The connectionFactory value

### getJMSConnectionConsumers

    public JMSConnectionConsumerMBean[] getJMSConnectionConsumers()

  Deprecated.

  The connection consumers for this JMS session pool. JMS connection consumers are queues (Point-To-Point) or topics (Pub/Sub) that retrieve server sessions and process messages. Once you have defined a session pool, you can configure one or more connection consumers for each session pool.

  Returns:
    The connectionConsumers value

### getListenerClass

    public String getListenerClass()

  Deprecated.

  The name of the server-side listener class for this JMS session pool, which is used to receive and process messages concurrently.

  Returns:
    The listenerClass value

### getSessionsMaximum

    public int getSessionsMaximum()

  Deprecated.

  The maximum number of sessions allowed for this JMS session pool. A value of `-1` indicates that there is no maximum.

  This attribute is dynamically configurable; however, it does not take effect until the session pool is restarted.

  Returns:
    The sessionsMaximum value

### isTransacted

    public boolean isTransacted()

  Deprecated.

  Indicates whether this JMS session pool creates transacted sessions.

  Returns:
    The transacted value

### lookupJMSConnectionConsumer

    public JMSConnectionConsumerMBean lookupJMSConnectionConsumer(String name)

  Deprecated.
  Get a connection consumer from the session pool by name.

### removeConnectionConsumer

    public boolean removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                     throws InvalidAttributeValueException,
                                            weblogic.management.DistributedManagementException

  Deprecated. 9.0.0.0 Replaced with message-driven beans.

  Remove a connection consumer from the session pool. This method is provided for backward compatibility.

  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  A dynamic MBean attribute.
    true

### setAcknowledgeMode

    public void setAcknowledgeMode(String acknowledgeMode)
                            throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the AcknowledgeMode attribute.

  Parameters:
    `acknowledgeMode` - The new acknowledgeMode value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAcknowledgeMode()`
  Default value:
    JMSConstants.ACKNOWLEDGE_MODE_AUTO
  A dynamic MBean attribute.
    false

### setConnectionConsumers

    public void setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)
                                throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 Replaced with message-driven beans.

  The connection consumers for this JMS session pool. JMS connection consumers are queues (Point-To-Point) or topics (Pub/Sub) that retrieve server sessions and process messages. Once you have defined a session pool, you can configure one or more connection consumers for each session pool. This method is provided for backward compatibility.

  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.
    false

### setConnectionFactory

    public void setConnectionFactory(String connectionFactory)
                              throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the ConnectionFactory attribute.

  Parameters:
    `connectionFactory` - The new connectionFactory value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectionFactory()`
  Default value:
    null
  A dynamic MBean attribute.
    false

### setListenerClass

    public void setListenerClass(String name)
                          throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the ListenerClass attribute.

  Parameters:
    `name` - The new listenerClass value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getListenerClass()`
  A dynamic MBean attribute.
    false

### setSessionsMaximum

    public void setSessionsMaximum(int maxSessions)
                            throws InvalidAttributeValueException,
                                   weblogic.management.DistributedManagementException

  Deprecated.

  Sets the value of the SessionsMaximum attribute.

  Parameters:
    `maxSessions` - The new sessionsMaximum value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getSessionsMaximum()`
  Default value:
    -1
  Minimum value:
    -1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setTransacted

    public void setTransacted(boolean transacted)
                       throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the Transacted attribute.

  Parameters:
    `transacted` - The new transacted value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isTransacted()`
  Default value:
    false
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD